﻿using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;

namespace ParametersDoNotMatch
{
    [DataObject]
    public class Shipper
    {
        public int ShipperId { get; set; }
        public string ShipperName { get; set; }

        [DataObjectMethod(DataObjectMethodType.Select)]
        public DataTable GetAllShippersDataTable()
        {
            Debug.WriteLine("Retrieving all Shippers as a DataTable");

            var dt = new DataTable("Shippers");
            dt.Columns.Add("ShipperId", typeof (string));
            dt.Columns.Add("ShipperName", typeof (string));

            var dr = dt.NewRow();
            dr["ShipperId"] = 1;
            dr["ShipperName"] = "First Shipper";
            dt.Rows.Add(dr);

            return dt;
        }

        [DataObjectMethod(DataObjectMethodType.Select)]
        public List<Shipper> GetAllShippersList()
        {
            Debug.WriteLine("Retrieving all Shippers as a List<Shipper>");

            return new List<Shipper> {new Shipper {ShipperId = 1, ShipperName = "First Shipper"}};
        }

        [DataObjectMethod(DataObjectMethodType.Insert)]
        public void InsertShipper(string shipperName)
        {
            Debug.WriteLine(string.Format("Inserting Shipper {0}", shipperName));
        }
    }
}